com.sun.jna.platform.win32.COM

## Interface IPersistStream

- All Superinterfaces:
    IPersist, IUnknown
  All Known Subinterfaces:
    IMoniker
  All Known Implementing Classes:
    Moniker, Moniker.ByReference

      public interface IPersistStream
      extends IPersist

  Enables the saving and loading of objects that use a simple serial stream for their storage needs.
  See Also:
    MSDN

- - ### Field Summary

    - ### Fields inherited from interface com.sun.jna.platform.win32.COM.IUnknown

      `IID_IUNKNOWN`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `GetSizeMax()` Retrieves the size of the stream needed to save the object.
    `boolean` | `IsDirty()` Determines whether an object has changed since it was last saved to its stream.
    `void` | `Load(IStream stm)` Initializes an object from the stream where it was saved previously (Unimplemented)
    `void` | `Save(IStream stm)` Saves an object to the specified stream.

    - ### Methods inherited from interface com.sun.jna.platform.win32.COM.IPersist

      `GetClassID`

    - ### Methods inherited from interface com.sun.jna.platform.win32.COM.IUnknown

      `AddRef, QueryInterface, Release`

- - ### Method Detail

    - #### IsDirty

          boolean IsDirty()

      Determines whether an object has changed since it was last saved to its stream. (Unimplemented)

    - #### Load

          void Load(IStream stm)

      Initializes an object from the stream where it was saved previously (Unimplemented)

    - #### Save

          void Save(IStream stm)

      Saves an object to the specified stream. (Unimplemented)

    - #### GetSizeMax

          void GetSizeMax()

      Retrieves the size of the stream needed to save the object. (Unimplemented)

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.